{% load app_filters %}
<html xmlns="http://www.w3.org/1999/html">
<head>
<style>

@media print {

        @page {
           size: a4 portrait;
           @frame header_frame {           /* Static Frame */
               -pdf-frame-content: header_content;
               left: 40pt;
               width: 512pt;
               top: 15pt;
               height: 100pt;
               /*border: 1pt solid red;*/
           }
           @frame content_frame {          /* Content Frame */
               left: 40pt;
               width: 512pt;
               top: 140pt;
               /*border: 1pt solid green;*/
           }
       }

        body{

            font-size: 12pt;
        }
        p{

            line-height: 1.8;
            padding-bottom: 0pt !important;
            padding-top: 0pt !important;

        }

        h1, h2, h3, h4, h5, li{
            padding-top: 0px;
            padding-bottom: 0px;
        }

}
</style>
</head>

<body>
    <div id="header_content">
        {% if header_file %}
        <div style="text-align:center; marin-top:10px" >
            <img width="100%" src="{{header_file}}"/>
        </div>
        {% endif %}
    </div>


    <table>
        <tr>
            <td width="450px" style="vertical-align: top; text-align: left; font-size:12px; display: block" >
                <table>
                    <tr>
                        <td width="150px">Patient name: </td>
                        <td><b>{{ order.patient_name }}</b></td>
                    </tr>
                    <tr>
                        <td>Facility Name: </td>
                        <td><b>{{ order.hospital_name }}</b></td>
                    </tr>
                    <tr>
                        <td>Study Type: </td>
                        <td><b>{{ order.modality }}</b></td>
                    </tr>
                    <tr>
                        <td>Time Pickup: </td>
                        <td><b>{{ order.created_at|date:"d-M-Y H:i" }}</b></td>
                    </tr>
                </table>
            </td>
            <td style="vertical-align: middle" width="110px">&nbsp;</td>
            <td width="400px" style="vertical-align: top; text-align: left; font-size:12px; display: block" >

                <table>
                    <tr>
                        <td>Accession Num: </td>
                        <td style="vertical-align: top"><b>{{ order.accession_id }}</b></td>
                    </tr>
                    <tr>
                        <td>Time Sent:</td>
                        <td><b>{% now "d-M-Y H:i" %}</b></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

    <div style="border-bottom: 1pt solid black;">&nbsp;</div>
    <br>

    <div style="font-size: 12px;">
        {% if order.op_status %}
            <h4>Status</h4> {{ order.op_status|safe }}
        {% endif %}
        {{ order.report|safe }}
    </div>
</body>
</html>
